Subject: [netlmm] #78: DHCP is a mobility management protocol too

From: netlmm <[email-masked]>
Date: Fri, 09 Jun 2006 16:45:40 -0000

#78: DHCP is a mobility management protocol too
-----------------------------------------+----------------------------------
 Reporter:  [email-masked]     |       Owner:  [email-masked]
     Type:  defect                       |      Status:  new                     
 Priority:  trivial                      |   Milestone:  milestone2              
Component:  draft-ietf-netlmm-nohost-ps  |     Version:  1.0                     
 Keywords:  PS draft                     |  
-----------------------------------------+----------------------------------
 Fred Templin says:

 2) Section 1.0, need to mention DHCP and others as localized
 mobility management alternatives. Suggest adding a new third
 sentence such as: "Additionally, other mechanisms such as the
 standard protocols of DHCP involve host-based solutions that
 are independent of Mobile IP."

-- 
Ticket URL: <http://www1.tools.ietf.org/wg/netlmm/trac/ticket/78>
netlmm <http://tools.ietf.org/wg/netlmm/>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: netlmm <[email-masked]>
Date: Fri, 09 Jun 2006 17:11:40 -0000

#78: DHCP is a mobility management protocol too
------------------------------------------+---------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  defect                       |      Status:  assigned                
  Priority:  trivial                      |   Milestone:  milestone2              
 Component:  draft-ietf-netlmm-nohost-ps  |     Version:  1.0                     
Resolution:                               |    Keywords:  PS draft                
------------------------------------------+---------------------------------
Changes (by [email-masked]):

  * status:  new => assigned

Comment:

 Although curiously not defined in RFC 3753, the term "mobility management
 protocol" is typically considered to be a protocol in the Network Layer
 that provides a mobile node with session continuity across IP level
 handovers between IP subnets, for applications such as VoIP. DHCP
 certainly does not qualify under that concensus definition. However, it is
 true that DHCP has made nomadic computing - where a laptop moves from one
 subnet to another without requiring session continuity - possible. Before
 DHCP, IP nodes were statically assigned addresses which made nomadic
 computing very difficult. NETLMM and this document are not discussing
 nomadic computing, so it is difficult to see how DHCP could be considered.

 DHCP may play a role in interacting with NETLMM for movement detection,
 but this is a detail that is not relevant at the high level scope of a
 problem statement.

 Suggest adding the following in Section 1.1 (in "*...*") to clarify the
 scope of mobility management. To the definition of Localized Mobility
 Management:

 "maintains the IP connectivity and reachability of a mobile node *for
 purposes of maintaining session continuitity* when *the mobile node*
 moves"

 and to Global Mobility Management:

 "mobility protocol used by the mobile node to change the global, end-to-
 end routing of packets *for purposes of maintaining session continuity*"

---

From: netlmm <[email-masked]>
Date: Fri, 09 Jun 2006 17:21:43 -0000

> are independent of Mobile IP."

New description:

 Fred Templin says:

 and later:

 12) Section 4.0, first paragraph, add the following as item 3):

  "3) Standard protocols such as DHCP that require support in
     the mobile node's IP stack and/or integration with IP
     forwarding mechanisms in the access network."

---

From: netlmm <[email-masked]>
Date: Fri, 09 Jun 2006 17:22:41 -0000

New description:

 Fred Templin says:

 and later:

 and still later:

 13) Section 4.0, following the paragraph beginning: "Market
 acceptance of WLAN switches", add the following new paragraph:

   "Market acceptance of DHCP has been very large, so Solution 3
   is widely deployed and continuing to grow. Solution 3 requires
   DHCP client support in the host stack. (Alternatively, the DHCP
   client function could be implemented as a proxy in the access
   network.)"

 14) Section 4.0, change: "The advantages that this solution has
 over the Solutions 1 and 2 above" to: The advantages that this
 solution has over Solutions 1-3 above".

 15) Section 4.0, final paragraph, add the following:

   "3) Compared with Solution 3, an IP level network-based
       solution offloads the mobile node from having to
       explicitly participate in mobility management. The
       tradeoffs between network-based mobility management
       and Solution 3 need to be carefully analyzed for
       applicability in various use-case scenarios."

---

From: netlmm <[email-masked]>
Date: Fri, 09 Jun 2006 20:23:20 -0000

Component:  draft-ietf-netlmm-nohost-ps  |     Version:  2.0                     

  * version:  1.0 => 2.0

---

From: netlmm <[email-masked]>
Date: Mon, 12 Jun 2006 16:08:34 -0000

#78: DHCP is a mobility management protocol too
------------------------------------------+---------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  defect                       |      Status:  closed                  
  Priority:  trivial                      |   Milestone:  milestone2              
 Component:  draft-ietf-netlmm-nohost-ps  |     Version:  2.0                     
Resolution:  fixed                        |    Keywords:  PS draft                
------------------------------------------+---------------------------------
Changes (by [email-masked]):

  * resolution:  => fixed
  * status:  assigned => closed

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 12 Jun 2006 16:02:43 -0700

James,

Sorry for the delay. If one considers DHCP as just an access
method that could be used between the MN and AR, then I am
fine with the proposed resolution. OK with me to close it.

Fred
[email-masked] 

-----Original Message-----
From: netlmm [mailto:[email-masked]] 
Sent: Friday, June 09, 2006 10:12 AM
To: [email-masked]
Subject: Re: [netlmm] #78: DHCP is a mobility management protocol too

#78: DHCP is a mobility management protocol too
------------------------------------------+-----------------------------
----
  Reporter:  [email-masked]     |       Owner:
[email-masked]
      Type:  defect                       |      Status:  assigned

------------------------------------------+-----------------------------
----
Changes (by [email-masked]):

Comment:

 Although curiously not defined in RFC 3753, the term "mobility
management
 protocol" is typically considered to be a protocol in the Network Layer
 that provides a mobile node with session continuity across IP level
 handovers between IP subnets, for applications such as VoIP. DHCP
 certainly does not qualify under that concensus definition. However, it
is
 true that DHCP has made nomadic computing - where a laptop moves from
one
 subnet to another without requiring session continuity - possible.
Before
 DHCP, IP nodes were statically assigned addresses which made nomadic
 computing very difficult. NETLMM and this document are not discussing
 nomadic computing, so it is difficult to see how DHCP could be
considered.

 "mobility protocol used by the mobile node to change the global,
end-to-
 end routing of packets *for purposes of maintaining session
continuity*"

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 13 Jun 2006 08:07:23 -0700

James,

I am still OK to close the issue, but I wanted to add some
further clarification. In the resolution, you say that DHCP
is about nomadic computing, i.e., changing from one IP subnet
to another without preserving sessions. I would agree with that
assertion if DHCP were considered only as a standalone solution,
but when DHCP is also tied to routing it can support localized
mobility management in a way that compares very closely with
the NETLMM problem space. (In particular, session continuity
is preserved as MNs move within a localized mobility
management domain.)

This is clearly shown in:

http://www.ietf.org/internet-drafts/draft-templin-autoconf-netlmm-dhcp-0
1.txt  

Fred

-----Original Message-----
From: Templin, Fred L 
Sent: Monday, June 12, 2006 4:03 PM
To: [email-masked]; [email-masked]
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: netlmm [mailto:[email-masked]] 
Sent: Friday, June 09, 2006 10:12 AM
To: [email-masked]
Subject: Re: [netlmm] #78: DHCP is a mobility management protocol too

Comment:

---

From: "James Kempf" <[email-masked]>
Date: Tue, 13 Jun 2006 08:50:29 -0700

Fred,

The PS and REQ documents are supposed to discuss problems protocols and 
systems that have been implemented and have some deployment possibility 
(even if, like HMIP, they have not yet been widely deployed). Your proposal 
requires modification to the ARs and the development of a box with LMA 
functionality, specifically from Section 3:

   Using the mechanisms specified in Section 4, a MN discovers ARs via
   standard IP router discovery and selects a primary AR.  The MN then
   send a unicast DHCP request to the primary AR which relays the
   request to a MAP.

I don't know that I can get boxes which will use BOOTP in the way that is 
described in Section 4.2. It's possible, but it seems to me like somebody 
would have to do some development work to connect up BOOTP and DHCP with the 
routing engine to make an LMA and AR with NETLMM functionality.

Actually, what you seem to be proposing is what I would envision an AR-MN 
interface for DHCP to do along with the NETLMM AR-LMA protocol, the design 
of which we should be seeing shortly from the design team. So I think that 
concentrating on how DHCP would work together with NETLMM in the AR-MN 
protocol would be the right place for this work.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 13, 2006 8:07 AM
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: Templin, Fred L
Sent: Monday, June 12, 2006 4:03 PM
To: [email-masked]; [email-masked]
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: netlmm [mailto:[email-masked]]
Sent: Friday, June 09, 2006 10:12 AM
To: [email-masked]
Subject: Re: [netlmm] #78: DHCP is a mobility management protocol too

Comment:

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 13 Jun 2006 15:01:12 -0700

James,

> Your proposal 

> functionality, specifically from Section 3:

Right, but from reading the MN-AR interface spec it looks
like that document also infers some modifications for the
ARs and the development of a box with LMA functionality. 

> routing engine to make an LMA and AR with NETLMM functionality.

We actually had someone do this and we are currently testing it out.
All it really requires is some hooks in the DHCP relay/server code
to add/delete/modify routes in the IP forwarding table.

> protocol would be the right place for this work.

Agree that the focus for now should be on the MN-AR interactions
and in particular only on the DHCP message exchanges. One way to
look at it is that the MN/AR/LMA *could* use DHCP client/relay/server,
but they *need not* do so if other mechanisms would be better suited.
So, I'd like to leave the DHCP proposal in place for now, but let's
take care of the MN-AR interactions first and also see what the
results of the design team produce.

Fred

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 13, 2006 8:07 AM
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: Templin, Fred L
Sent: Monday, June 12, 2006 4:03 PM
To: [email-masked]; [email-masked]
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: netlmm [mailto:[email-masked]]
Sent: Friday, June 09, 2006 10:12 AM
To: [email-masked]
Subject: Re: [netlmm] #78: DHCP is a mobility management protocol too

Comment:

---

From: "James Kempf" <[email-masked]>
Date: Tue, 13 Jun 2006 16:24:59 -0700

Fred,

I've no objection if you want to keep developing your DHCP document, and, as 
I said, I'd like to see DHCP as part of the MN-AR interface document. I'm 
primarily concerned with finishing the PS document, and for that reason, and 
since nobody else has come forward and requested that DHCP be included as an 
existing deployed/standardized mobility management protocol, I'd like to 
stick with the suggested resolution.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Tuesday, June 13, 2006 3:01 PM
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 13, 2006 8:07 AM
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: Templin, Fred L
Sent: Monday, June 12, 2006 4:03 PM
To: [email-masked]; [email-masked]
Subject: RE: [netlmm] #78: DHCP is a mobility management protocol too

James,

Fred

-----Original Message-----
From: netlmm [mailto:[email-masked]]
Sent: Friday, June 09, 2006 10:12 AM
To: [email-masked]
Subject: Re: [netlmm] #78: DHCP is a mobility management protocol too

Comment: